<?php
	session_start();

	include("config.php");

	$id_anggaran=$_POST["txtIdAnggaran"];

	$kode_rek1=mysqli_real_escape_string($mysqli,$_POST["txtKodeRekening01"]);
	$kode_rek2=mysqli_real_escape_string($mysqli,$_POST["txtKodeRekening02"]);
	$kode_rek3=mysqli_real_escape_string($mysqli,$_POST["txtKodeRekening03"]);
	$kode_rek4=mysqli_real_escape_string($mysqli,$_POST["txtKodeRekening04"]);
	//$kode_rek5=mysqli_real_escape_string($mysqli,$_POST["txtKodeRekening05"]);
	//$kode_rek6=mysqli_real_escape_string($mysqli,$_POST["txtKodeRekening06"]);

	//$kode_rekening=$kode_rek1 . $kode_rek2 . $kode_rek3 . $kode_rek4 . $kode_rek5 . $kode_rek6;
	
	$kode_rek_abs=mysqli_real_escape_string($mysqli,$_POST["txtKodeRekeningAbs"]);

	$jenis_kode=mysqli_real_escape_string($mysqli,$_POST["txtJenisKode"]);
	$uraian=mysqli_real_escape_string($mysqli,$_POST["txtUraian"]);
	$anggaran=mysqli_real_escape_string($mysqli,$_POST["txtAnggaran"]);
	$keterangan=mysqli_real_escape_string($mysqli,$_POST["txtKeterangan"]);
	$kode=mysqli_real_escape_string($mysqli,$_POST["txtKode"]);
	$induk_kode_rekening="";
	$tahun_anggaran=mysqli_real_escape_string($mysqli,$_POST["txtTahunAnggaran"]);

	if($jenis_kode=="H"){ //jika header/sub header
		//$panjang=strlen($kode_rekening)-1;
		//$induk_kode_rekening = substr($kode_rekening,0,$panjang);
		
		$vkode=explode(".", $kode_rek_abs);
		$kode1=$vkode[0];
		$kode2=$vkode[1];
		$kode3=$vkode[2];
		$kode4=$vkode[3];
		
		if(!empty($kode4) && !empty($kode3) && !empty($kode2) && !empty($kode1)){
			$induk_kode_rekening = $kode1 . "." . $kode2 . "." . $kode3;
		}elseif (empty($kode4) && !empty($kode3) && !empty($kode2) && !empty($kode1)){
			$induk_kode_rekening = $kode1 . "." . $kode2 ;
		}elseif (empty($kode4) && empty($kode3) && empty($kode2) && !empty($kode1)){
			$induk_kode_rekening = $kode1  ;
		}
	}

	$id_desa = $_SESSION["ses_id_desa"];
	
	
	
	$sql="UPDATE t_anggaran SET kode_rekening='$kode_rek_abs', uraian='$uraian', jenis_kode_rekening='$jenis_kode', induk_kode_rekening='$induk_kode_rekening', tahun_anggaran='$tahun_anggaran',anggaran='$anggaran',keterangan='$keterangan', kode='$kode', id_desa='$id_desa' WHERE id='$id_anggaran'";
	
	$qry=mysqli_query($mysqli,$sql);
	
	if($qry){
	
		msgbox("Data anggaran berhasil diubah");
		lempar("admin.php?page=ls_anggaran_desa&page_desc=Daftar Mata Anggaran");
	}else{
		
		msgbox("Error: ".mysqli_error($mysqli));
		lempar("admin.php?page=ls_anggaran_desa&page_desc=Daftar Mata Anggaran");
	}
?>